// src/utils/downloadImage.js

export async function downloadImage(imageUrl, fileName = 'downloaded_image.jpg') {
    try {
      // 使用 fetch 获取图片数据
      const response = await fetch(imageUrl);
      const blob = await response.blob(); // 将响应转为 Blob
  
      // 创建一个 URL 对象
      const url = window.URL.createObjectURL(blob);
  
      // 创建一个 <a> 标签并设置其下载属性
      const a = document.createElement('a');
      a.href = url;
      a.download = fileName; // 指定下载的文件名
      a.click(); // 触发下载
  
      // 释放对象 URL
      window.URL.revokeObjectURL(url);
    } catch (error) {
      console.error('下载图片失败:', error);
    }
  }
  